### consign_t

Completion token type used to specify that the completion handler should carry additional values along with it.

    template<
        typename CompletionToken,
        typename... Values>
    class consign_t

##### Member Functions

Name | Description
--- | ---
consign_t [constructor] | Constructor.

This completion token adapter is typically used to keep at least one copy of an object, such as a smart pointer, alive until the completion handler is called.

##### Requirements

Header: `asio/consign.hpp`

Convenience header: `asio.hpp`